/*
io_x9sd.h

Hardware routines for interfacing with SD cards on a Ninjapass X9

Copyright (C) 2007 by CJ Bell
siegebell@gmail.com


This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
Boston, MA  02110-1301, USA.
*/


#ifdef __cplusplus
extern "C" {
#endif

bool _X9SD_isInserted(void);
bool _X9SD_clearStatus (void);
bool _X9SD_shutdown(void);
bool _X9SD_startup(void);
bool _X9SD_writeSectors (uint32 sector, uint32 sectors, const void* buffer);
bool _X9SD_readSectors (uint32 sector, uint32 sectorCount, void* buffer);

#ifdef __cplusplus
} // extern "C"
#endif
